Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service.credentialvault
Class CredentialVaultException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ibm.portal.portlet.service.credentialvault.CredentialVaultException

All Implemented Interfaces:
  Localized, java.io.Serializable

Direct Known Subclasses:
  CredentialSecretNotSetException

    public abstract class CredentialVaultException

extends java.lang.Exception
implements Localized

Exception that indicates an error in the credential vault subsystem.

Since:
  5.1.0.1
See Also:
  Serialized Form

Constructor Summary
`CredentialVaultException()` Default constructor
`CredentialVaultException(java.lang.Throwable e)` Constructor that takes a nested exception

Method Summary
`abstract java.lang.String` | `getDescription(java.util.Locale aLocale)` Returns a language-specific detailed explanation of this exception.
`abstract ListModel<java.util.Locale>` | `getLocales()` Returns the languages for which language-specific exception messages and explanations are provided.
`abstract MessageCode` | `getMessageCode()` Returns the message code for this exception.
`abstract java.lang.String` | `getTitle(java.util.Locale aLocale)` Returns a language-specific exception message for this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CredentialVaultException

    public CredentialVaultException()

  Default constructor

### CredentialVaultException

    public CredentialVaultException(java.lang.Throwable e)

  Constructor that takes a nested exception

  Parameters:
    `e` - The nested exception

Method Detail

### getTitle

    public abstract java.lang.String getTitle(java.util.Locale aLocale)

  Returns a language-specific exception message for this exception. Returns null if no message is available for the requested locale.

  Specified by:
    `getTitle` in interface `Localized`
  Parameters:
    `aLocale` - the locale for which to retrieve the title, must not be `null`.
  Returns:
    String A language-specific exception message.

### getMessageCode

    public abstract MessageCode getMessageCode()

  Returns the message code for this exception.

  Returns:
    A message code as String object, or `null` if no message is available.

### getDescription

    public abstract java.lang.String getDescription(java.util.Locale aLocale)

  Returns a language-specific detailed explanation of this exception. Returns null if no explanation is available for the requested locale.

  Specified by:
    `getDescription` in interface `Localized`
  Parameters:
    `aLocale` - the locale for which to retrieve the description, must not be `null`.
  Returns:
    String A language-specific detailed explanation of this exception.

### getLocales

    public abstract ListModel<java.util.Locale> getLocales()

  Returns the languages for which language-specific exception messages and explanations are provided.

  Specified by:
    `getLocales` in interface `Localized`
  Returns:
    A ListModel with an empty iterator if no language-specific information is provided; never returns null.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD